#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QString>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect (ui->generateButton, SIGNAL(clicked()), this, SLOT(generateItemDB()));
    connect (ui->pushButton, SIGNAL(clicked()), this, SLOT(generateMobDB()));
    connect (ui->closeButton, SIGNAL(clicked()), this, SLOT(close()));
    connect (ui->clearButton, SIGNAL(clicked()), this, SLOT(clear()));
    connect (ui->pushButton_2, SIGNAL(clicked()), this, SLOT(clear2()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void MainWindow::generateItemDB()
{
    QString itemDB;
    itemDB += ui->lineEdit_1->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_2->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_3->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_4->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_5->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_6->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_7->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_8->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_9->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_10->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_11->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_12->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_13->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_14->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_15->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_16->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_17->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_18->text();
    itemDB += ",	";
    itemDB += ui->lineEdit_91->text();
    ui->lineEdit->setText(itemDB);
}

void MainWindow::generateMobDB()
{
    QString monsterDB;
    monsterDB += ui->monsterDB_1->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_2->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_3->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_4->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_5->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_6->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_7->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_8->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_9->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_10->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_11->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_12->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_13->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_14->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_15->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_16->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_17->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_18->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_19->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_20->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_21->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_22->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_23->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_24->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_25->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_26->text();
    monsterDB += ",	";
    //monsterDB += ui->monsterDB_27->text();
    //monsterDB += ",	";
    monsterDB += ui->monsterDB_28->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_29->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_30->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_31->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_32->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_33->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_34->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_35->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_36->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_37->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_38->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_39->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_40->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_41->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_42->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_43->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_44->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_45->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_46->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_47->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_48->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_49->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_50->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_51->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_52->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_53->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_54->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_55->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_56->text();
    monsterDB += ",	";
    monsterDB += ui->monsterDB_57->text();

    ui->monsterDBOutput->setText(monsterDB);
}

void MainWindow::clear()
{
    ui->lineEdit->setText("");
    ui->lineEdit_1->setText("");
    ui->lineEdit_2->setText("");
    ui->lineEdit_3->setText("");
    ui->lineEdit_4->setText("");
    ui->lineEdit_5->setText("");
    ui->lineEdit_6->setText("");
    ui->lineEdit_7->setText("");
    ui->lineEdit_8->setText("");
    ui->lineEdit_9->setText("");
    ui->lineEdit_10->setText("");
    ui->lineEdit_11->setText("");
    ui->lineEdit_12->setText("");
    ui->lineEdit_13->setText("");
    ui->lineEdit_14->setText("");
    ui->lineEdit_15->setText("");
    ui->lineEdit_16->setText("");
    ui->lineEdit_17->setText("");
    ui->lineEdit_18->setText("");
    ui->lineEdit_91->setText("");
}

void MainWindow::clear2()
{
    ui->monsterDB_1->setText("");
    ui->monsterDB_2->setText("");
    ui->monsterDB_3->setText("");
    ui->monsterDB_4->setText("");
    ui->monsterDB_5->setText("");
    ui->monsterDB_6->setText("");
    ui->monsterDB_7->setText("");
    ui->monsterDB_8->setText("");
    ui->monsterDB_9->setText("");
    ui->monsterDB_10->setText("");
    ui->monsterDB_11->setText("");
    ui->monsterDB_12->setText("");
    ui->monsterDB_13->setText("");
    ui->monsterDB_14->setText("");
    ui->monsterDB_15->setText("");
    ui->monsterDB_16->setText("");
    ui->monsterDB_17->setText("");
    ui->monsterDB_18->setText("");
    ui->monsterDB_19->setText("");
    ui->monsterDB_20->setText("");
    ui->monsterDB_21->setText("");
    ui->monsterDB_22->setText("");
    ui->monsterDB_23->setText("");
    ui->monsterDB_24->setText("");
    ui->monsterDB_25->setText("");
    ui->monsterDB_26->setText("");
    ui->monsterDB_28->setText("");
    ui->monsterDB_29->setText("");
    ui->monsterDB_30->setText("");
    ui->monsterDB_31->setText("");
    ui->monsterDB_32->setText("");
    ui->monsterDB_33->setText("");
    ui->monsterDB_34->setText("");
    ui->monsterDB_35->setText("");
    ui->monsterDB_36->setText("");
    ui->monsterDB_37->setText("");
    ui->monsterDB_38->setText("");
    ui->monsterDB_39->setText("");
    ui->monsterDB_40->setText("");
    ui->monsterDB_41->setText("");
    ui->monsterDB_42->setText("");
    ui->monsterDB_43->setText("");
    ui->monsterDB_44->setText("");
    ui->monsterDB_45->setText("");
    ui->monsterDB_46->setText("");
    ui->monsterDB_47->setText("");
    ui->monsterDB_48->setText("");
    ui->monsterDB_49->setText("");
    ui->monsterDB_50->setText("");
    ui->monsterDB_51->setText("");
    ui->monsterDB_52->setText("");
    ui->monsterDB_53->setText("");
    ui->monsterDB_54->setText("");
    ui->monsterDB_55->setText("");
    ui->monsterDB_56->setText("");
    ui->monsterDB_57->setText("");
    ui->monsterDBOutput->setText("");
}
